---
author: Eirik Enger
event: Demo
date: "2022-02-08"
title: Demo of features
separator: \n---\n
verticalSeparator: \n----\n
theme: solarized
revealOptions:
  transition: 'fade'
  allottedTime: 900000
---

# iFrame background
<!-- .element class="menu" name="item" -->

Note:
Test note

----

<!-- .slide: data-background-iframe="https://eirikenger.xyz" -->

---

# Code

----

```python [21,22|19|2-13]
def count_printed_lines(i: int) -> int:
    """Run the print loop.

    Parameters
    ----------
    i: int
        How many lines to print

    Returns
    -------
    int
        The number of lines that was printed
    """
    for i in range(3):
        print(f"Do nothing, just print line {i}")

def main() -> None:
    i = 9
    _ = count_printed_lines(i)

if __name__ == "__main__":
    main()
```

---

<!-- .slide: style="color: #ee2" -->

# Math

> Math should be wrapped in `` `backticks` ``
<!-- .element: class="fragment" style="font-size: 0.30em !important;" -->

```latex
`$\frac{1}{2}$`
```

----

This:

`$$
\begin{align}
\begin{split}
    \langle n_{\mathrm{e}}^*(\boldsymbol{k})Y_{\mathrm{e}}\rangle
    &=-\frac{1}{V}\frac{1+2ZX_{\mathrm{p}}^2}{1+2X_{\mathrm{p}}^2(1+Z)}
    \int_{\boldsymbol{v}}\int_{-\infty}^\varphi G_{\mathrm{e}}(\varphi,\varphi')
    f_{\mathrm{e},0}(\boldsymbol{v})\text{d}\boldsymbol{v}\text{d}\varphi' \\
    &=\frac{n_{\mathrm{e},0}}{\Omega_{\mathrm{e}}V}
    \frac{1+2ZX_{\mathrm{p}}^2}{1+2X_{\mathrm{p}}^2(1+Z)}
    g_{\mathrm{e}}\left(\boldsymbol{k},\frac{s}{\Omega_{\mathrm{e}}}\right)
\end{split} \\[1em]
\begin{split}
    \langle n_{\mathrm{e}}^*(\boldsymbol{k})Y_{\mathrm{i}}\rangle
    &=-\frac{1}{V}\frac{2ZX_{\mathrm{p}}^2}{1+2X_{\mathrm{p}}^2(1+Z)}
    \int_{\boldsymbol{v}}\int_{\infty}^\varphi G_{\mathrm{i}}(\varphi,\varphi')
    f_{\mathrm{i},0}(\boldsymbol{v})\text{d}\boldsymbol{v}\text{d}\varphi' \\
    &=\frac{n_{\mathrm{e},0}}{\Omega_{\mathrm{i}}V}
    \frac{2X_{\mathrm{p}}^2}{1+2X_{\mathrm{p}}^2(1+Z)}
    g_{\mathrm{i}}\left(\boldsymbol{k},\frac{s}{\Omega_{\mathrm{i}}}\right)
\end{split}
\end{align}
$$`
<!-- .element: style="font-size:20pt" -->

----

...is generated from this:

```latex [1|22|23|3,11]
`$$
\begin{align}
\begin{split}
    \langle n_{\mathrm{e}}^*(\boldsymbol{k})Y_{\mathrm{e}}\rangle
    &=-\frac{1}{V}\frac{1+2ZX_{\mathrm{p}}^2}{1+2X_{\mathrm{p}}^2(1+Z)}
    \int_{\boldsymbol{v}}\int_{-\infty}^\varphi G_{\mathrm{e}}(\varphi,\varphi')
    f_{\mathrm{e},0}(\boldsymbol{v})\text{d}\boldsymbol{v}\text{d}\varphi' \\
    &=\frac{n_{\mathrm{e},0}}{\Omega_{\mathrm{e}}V}
    \frac{1+2ZX_{\mathrm{p}}^2}{1+2X_{\mathrm{p}}^2(1+Z)}
    g_{\mathrm{e}}\left(\boldsymbol{k},\frac{s}{\Omega_{\mathrm{e}}}\right)
\end{split} \\[1em]
\begin{split}
    \langle n_{\mathrm{e}}^*(\boldsymbol{k})Y_{\mathrm{i}}\rangle
    &=-\frac{1}{V}\frac{2ZX_{\mathrm{p}}^2}{1+2X_{\mathrm{p}}^2(1+Z)}
    \int_{\boldsymbol{v}}\int_{\infty}^\varphi G_{\mathrm{i}}(\varphi,\varphi')
    f_{\mathrm{i},0}(\boldsymbol{v})\text{d}\boldsymbol{v}\text{d}\varphi' \\
    &=\frac{n_{\mathrm{e},0}}{\Omega_{\mathrm{i}}V}
    \frac{2X_{\mathrm{p}}^2}{1+2X_{\mathrm{p}}^2(1+Z)}
    g_{\mathrm{i}}\left(\boldsymbol{k},\frac{s}{\Omega_{\mathrm{i}}}\right)
\end{split}
\end{align}
$$`
<!-- .element: style="font-size:20pt" -->
```
<!-- .element: style="font-size:12pt" -->

----

`$$\begin{aligned}
\dot{x} & = \sigma(y-x) \\
\dot{y} & = \rho x - y - xz \\
\dot{z} & = -\beta z + xy
\end{aligned}$$`

---

<!-- .slide: class="data-auto-animate" -->

# Animations
<!-- .element class="fragment animated move-to-middle-top" data-animated-duration="1000" data-animated-iterations="1" data-animated-fill="forwards" -->

[List of available animations](https://github.com/rogeralmeida/revealjs-animated)
<!-- .element class="fragment animated rotate" -->

---

# Fragments

![Aerosol forcing](https://github.com/engeir/presentations/raw/main/2022/uit-climate-meeting/assets/AEROD_v_simple_vanilla.png)
<!-- .element: class="fragment" -->

